OpenTTD Source: UniscribeParagraphLayout::UniscribeLine Class Reference

OpenTTD Source 15.0-beta1

Public Member Functions
UniscribeParagraphLayout::UniscribeLine Class Reference

A single line worth of VisualRuns. More...

Inheritance diagram for UniscribeParagraphLayout::UniscribeLine:

## Public Member Functions
int | GetLeading () const override
| Get the height of the line.
int | GetWidth () const override
| Get the width of this line.
int | CountRuns () const override
const VisualRun & | GetVisualRun (int run) const override
int | GetInternalCharLength (char32_t c) const override

## Detailed Description

A single line worth of VisualRuns.

Definition at line 102 of file string_uniscribe.cpp.

## Member Function Documentation

## ◆ CountRuns()

int UniscribeParagraphLayout::UniscribeLine::CountRuns | ( |  | ) | const
| inlineoverridevirtual

Implements ParagraphLayouter::Line.

Definition at line 106 of file string_uniscribe.cpp.

## ◆ GetInternalCharLength()

int UniscribeParagraphLayout::UniscribeLine::GetInternalCharLength | ( | char32_t | c | ) | const
| inlineoverridevirtual

Implements ParagraphLayouter::Line.

Definition at line 109 of file string_uniscribe.cpp.

## ◆ GetLeading()

int UniscribeParagraphLayout::UniscribeLine::GetLeading | ( |  | ) | const
| overridevirtual

Get the height of the line.

Returns
  The maximum height of the line.

Implements ParagraphLayouter::Line.

Definition at line 450 of file string_uniscribe.cpp.

## ◆ GetVisualRun()

const VisualRun & UniscribeParagraphLayout::UniscribeLine::GetVisualRun | ( | int | run | ) | const
| inlineoverridevirtual

Implements ParagraphLayouter::Line.

Definition at line 107 of file string_uniscribe.cpp.

## ◆ GetWidth()

int UniscribeParagraphLayout::UniscribeLine::GetWidth | ( |  | ) | const
| overridevirtual

Get the width of this line.

Returns
  The width of the line.

Implements ParagraphLayouter::Line.

Definition at line 464 of file string_uniscribe.cpp.

The documentation for this class was generated from the following file:

- src/os/windows/string_uniscribe.cpp